      subroutine rhotit (ipr,spcgrp,icomp)                              RHOT001
c ----------------------------------------------------------------------RHOT002
c     interactive header - LPREP and INSHELL                            RHOT003
c ----------------------------------------------------------------------RHOT004
c     This program module is part of the PhysiSoft X-ray Library        RHOT005
c     and may not be sold or reproduced for commercial purposes.        RHOT006
c     Although it has been tested carefully, there is no warranty       RHOT007
c     regarding accuracy or freedom from side-effects.                  RHOT008
c                   (C) 1986-1990 Bernhard Rupp                         RHOT009
c ----------------------------------------------------------------------RHOT010
      character lv,icomp*4,spcgrp*10                                    RHOT011
      if (icomp.eq.'IBM ') then                                         RHOT012
         lv=char(179)                                                   RHOT013
      else                                                              RHOT014
         lv='|'                                                         RHOT015
      end if                                                            RHOT016
                                                                        RHOT017
      call frames (ipr,1,icomp)                                         RHOT018
      write(ipr,'(1x,a1,18x,a,19x,a1)')                                 RHOT019
     & lv,' Transformation Rhombohedral - Hexagonal',lv                 RHOT020
      call frames (ipr,2,icomp)                                         RHOT021
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'You have selected a rhomboh',RHOT022
     & 'edral structure. The rhombohedral setting and',lv               RHOT023
      write(ipr,'(1x,a1,1x,a,a,a,4x,a1)')lv,                            RHOT024
     & 'the cell constants of space group ',spcgrp,                     RHOT025
     & ' have to be transformed into',lv                                RHOT026
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'the first obverse setting o',RHOT027
     & 'f this space group. The program will perform ',lv               RHOT001
      write(ipr,'(1x,a1,1x,a,a,4x,a1)')lv,'all necessary transformatio',RHOT002
     & 'ns of cell constants and atom coordinates.   ',lv               RHOT003
      call frames (ipr,3,icomp)                                         RHOT004
      return                                                            RHOT005
      end                                                               RHOT006
